Arch MeshToShape/it: Difference between revisions

From FreeCAD Documentation
(Created page with "==Proprietà==")
(Created page with "==Limitazioni==")
Line 19: Line 19:
==Proprietà==
==Proprietà==


==Limitations==
==Limitazioni==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">

Revision as of 12:13, 17 May 2020

Da Mesh a Forma

Posizione nel menu
Arch → Utilità → Da Mesh a Forma
Ambiente
Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Dividi mesh, Rimuovi Forma

Descrizione

Questo strumento converte un oggetto Mesh selezionato in un oggetto Forma. Notare che questo strumento è ottimizzato per oggetti con facce piane (senza curve). Lo strumento corrispondente dell'ambiente Parte può essere più adatto per gli oggetti che contengono superfici curve.

This tool is optimized for objects with flat faces (no curves). The corresponding tool Part ShapeFromMesh from the Part Workbench might be more suited for objects that contain curved surfaces.

Utilizzo

  1. Selezionare un oggetto mesh.
  2. Premere il pulsante Da mesh a forma in Arch → Utilità → Da mesh a forma.

Proprietà

Limitazioni

Questo strumento può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

new_obj = meshToShape(obj, mark=True, fast=True, tol=0.001, flat=False, cut=True)
  • Trasforma il dato obj, una mesh, in una forma, unendo le facce complanari.
  • Se mark è True, gli oggetti non solidi saranno contrassegnati in rosso.
  • Se fast è True usa un algoritmo più veloce costruendo una shell dalle faccette.
  • tol è la tolleranza utilizzata durante la conversione dei segmenti di mesh in contorni.
  • Se flat è True forza i contorni a essere perfettamente planari, per essere sicuri che possano essere trasformati in facce, ma ciò potrebbe lasciare degli spazi vuoti nella shell finale.
  • Se cut è True i fori nelle facce sono fatti per sottrazione.

Example:

import Arch, Mesh, BuildRegularGeoms

Box = FreeCAD.ActiveDocument.addObject("Mesh::Cube", "Cube")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

new_obj = Arch.meshToShape(Box)